﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using ThinkGeo.MapSuite.Core;
using System.IO;
using System.Collections.ObjectModel;

namespace Post8554
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            RtreeSpatialIndex rtreeIndex = new RtreeSpatialIndex(Path.Combine(this.textBox1.Text, "rt2.idx"));
            rtreeIndex.Open();
            RectangleShape rectangleShape = new RectangleShape(new PointShape(-95.289081, 39.114201), new PointShape(-95.127824, 38.949944));
            Collection<string> streetsInsideZip = rtreeIndex.GetFeatureIdsWithinBoundingBox(rectangleShape);
            rtreeIndex.Close();
            MessageBox.Show("Done!");
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (folderBrowserDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                this.textBox1.Text = folderBrowserDialog1.SelectedPath;
            }
        }
    }
}
